
module Schpin.Package where

import Control.Monad.Reader (Reader)
import Schpin.Shared

data Person = Person { per_name :: String
                             , per_email :: String 
                             }

data PackageInfo = PackageInfo { pkg_name :: String
                               , version :: String
                               , description :: String
                               , maintainers :: [Person]
                            , license :: String
                            , authors :: [Person]
                               , depends :: [String]
                               }

data PackageConfig = PackageConfig
  { pkg_info :: PackageInfo
  , scad_dir    :: Filename
  , pkg_dir     :: Filename
  , src_dir     :: Filename
  , urdf_subdir :: Filename
  , srdf_subdir :: Filename
  }

type PackageMonad a = Reader PackageConfig a

